Переполнение буфера в xine-lib

Дата публикации:
29.04.2006
Дата изменения:
24.03.2009
Всего просмотров:
1557
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-1664
CVE-2008-1110
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
xine-lib 1.x
Уязвимые версии:
xine-lib 1.1.1, возможно более ранние версии.
libxine 1.14

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных при обработке MPEG потоков. Удаленный пользователь может с помощью специально сформированного MPEG файла вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: xinehq.de

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

или введите имя

CAPTCHA